Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.commons.compress.archivers.dump
Enum DumpArchiveEntry.PERMISSION

    java.lang.Object
      java.lang.Enum<DumpArchiveEntry.PERMISSION>
          org.apache.commons.compress.archivers.dump.DumpArchiveEntry.PERMISSION

All Implemented Interfaces:
  Serializable, Comparable<DumpArchiveEntry.PERMISSION>

Enclosing class:
  DumpArchiveEntry

    public static enum DumpArchiveEntry.PERMISSION

extends Enum<DumpArchiveEntry.PERMISSION>

Enum Constant Summary
`GROUP_EXEC`
`GROUP_READ`
`GROUP_WRITE`
`SETGUI`
`SETUID`
`STICKY`
`USER_EXEC`
`USER_READ`
`USER_WRITE`
`WORLD_EXEC`
`WORLD_READ`
`WORLD_WRITE`

Method Summary
`static Set<DumpArchiveEntry.PERMISSION>` | `find(int code)`
`static DumpArchiveEntry.PERMISSION` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DumpArchiveEntry.PERMISSION[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SETUID

    public static final DumpArchiveEntry.PERMISSION SETUID

### SETGUI

    public static final DumpArchiveEntry.PERMISSION SETGUI

### STICKY

    public static final DumpArchiveEntry.PERMISSION STICKY

### USER_READ

    public static final DumpArchiveEntry.PERMISSION USER_READ

### USER_WRITE

    public static final DumpArchiveEntry.PERMISSION USER_WRITE

### USER_EXEC

    public static final DumpArchiveEntry.PERMISSION USER_EXEC

### GROUP_READ

    public static final DumpArchiveEntry.PERMISSION GROUP_READ

### GROUP_WRITE

    public static final DumpArchiveEntry.PERMISSION GROUP_WRITE

### GROUP_EXEC

    public static final DumpArchiveEntry.PERMISSION GROUP_EXEC

### WORLD_READ

    public static final DumpArchiveEntry.PERMISSION WORLD_READ

### WORLD_WRITE

    public static final DumpArchiveEntry.PERMISSION WORLD_WRITE

### WORLD_EXEC

    public static final DumpArchiveEntry.PERMISSION WORLD_EXEC

Method Detail

### values

    public static DumpArchiveEntry.PERMISSION[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DumpArchiveEntry.PERMISSION c : DumpArchiveEntry.PERMISSION.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DumpArchiveEntry.PERMISSION valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### find

    public static Set<DumpArchiveEntry.PERMISSION> find(int code)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 The Apache Software Foundation. All Rights Reserved.